# Generated from page-object-lds-0.0.14.gem by gem2rpm -*- rpm-spec -*-
%global gem_name page-object-lds

Name: rubygem-%{gem_name}
Version: 0.0.14
Release: 1%{?dist}
Summary: Page Object DSL for browser testing
License: MIT
URL: https://github.com/mehdic/page-object-lds
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.1.0
# BuildRequires: rubygem(rspec) < 3.2
# BuildRequires: rubygem(cucumber) >= 1.3.0
# BuildRequires: rubygem(yard) >= 0.7.2
# BuildRequires: rubygem(rack) >= 1.0
BuildArch: noarch

%description
Page Object DSL that works with both Watir , Selenium and FWK360 LDS platform.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.idea
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/pageobjectlds.gems
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/ChangeLog
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cucumber.yml
%{gem_instdir}/features
%{gem_instdir}/page-object-lds.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.14-1
- Initial package
